<template lang="pug">
.row.justify-content-center
  .col-12.col-md-6
    BaseCard
      li(key='ctrl')
        .row.justify-content-between
          .col-auto
            nav.justify-content-center(aria-label='Pagination')
              ul.pagination
                li.page-item(:class="{ disabled: page === 0 }")
                  button.page-link(type='button'  @click="goToPage(page - 1)"
                    :disabled='page === 0') #[i.fa.fa-angle-left]
                li.page-item()
                  button.page-link(type='button' @click="goToPage(page + 1)") #[i.fa.fa-angle-right]
          BaseAnimationBlock
            .col-auto.align-content-center(v-if="loading" key='loader')
              i.align-bottom.fa.fa-spinner.fa-pulse
          .col-auto.d-flex
            BaseSelect.x-entries(v-model.number='max' :inEdit='true' :noEditIcon='true')
              template(v-slot:options='')
                option(:value='20') 20
                option(:value='40') 40
                option(:value='100') 100
            button.btn.btn-primary.ml-1.x-add(v-if='isAdmin' @click="doAdd()" title='Add Operation Period')
              i.fa.fa-plus-square
      li.p-0(v-if='!loading' key='rows')
        table.table.table-sm.table-hover
          thead.bg-light.table-head
            tr
              th.text-center Operation Year
              th.text-center Start
              th.text-center Stop
          tbody
            router-link(:key='m.year' v-for='m in rows' tag='tr'
                        :to='{ path: m.year.toString() }' append='').clickable
              td.text-center {{ m.year }}
              td.text-center {{ m.start | dateTime("yyyy-LL-dd") }}
              td.text-center {{ m.stop | dateTime("yyyy-LL-dd") }}
    AddOperationPeriodDialog(ref='addDialog')
</template>
<script src='./OperationPeriods.vue.js' />
